"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_extra_1 = require("fs-extra");
var path_1 = require("path");
/**
 * 项目根目录
 */
exports.rootPath = fs_extra_1.realpathSync(process.cwd());
/**
 * 将相对于项目根目录的路径解析为绝对路径
 *
 * @param relativePath 相对路径
 */
exports.resolveRoot = function (relativePath) {
    return path_1.resolve(exports.rootPath, relativePath);
};
/**
 * 命令行工具的配置
 */
exports.cliPackageInfo = fs_extra_1.readJsonSync(path_1.resolve(__dirname, '../../package.json'));
/**
 * 模板位置
 */
exports.TEMPLATE_PATH = path_1.resolve(__dirname, '../../assets/template');
/**
 * react组件库模板位置
 */
exports.REACT_TEMPLATE_PATH = path_1.resolve(__dirname, '../../assets/react-template');
/**
 * 通用模板位置
 */
exports.COMMON_TEMPLATE_PATH = path_1.resolve(__dirname, '../../assets/common-template');
/**
 * git忽略文件位置
 */
exports.GIT_IGNORE_FILE_PATH = path_1.resolve(__dirname, '../../assets/gitignore');
/**
 * assets路径
 */
exports.ASSETS_PATH = path_1.resolve(__dirname, '../../assets');
/**
 * docz模板路径
 */
exports.DOCZ_TEMPLATE_PATH = path_1.resolve(exports.ASSETS_PATH, './docz-template');
//# sourceMappingURL=paths.js.map